mantendo seus pacotes Debian da unstable e da experimental atualizados


Na espera pra lançar o lenny, o Gnome 2.26 ficou congelado na experimental um bom tempo. Como eu não aguentei esperar, como vocês podem ver abaixo eu adoro “rodar o aptitude“, acabei instalando o “novo” gnome…

history | awk '{ a[$2]++ } END { for(i in a) { print a[i] " " i }}' | sort -rn | head

111 aptitude
82 aireplay-ng
82 aircrack-ng
42 du
27 vim
23 airodump-ng
18 ls
13 ifconfig
10 dpkg
9 sudo

Só que, esses pacotes da experimental, precisam ser atualizados “na mão”, por possuírem uma prioridade menor. Pra quem quiser saber o processo, o kov fez um post prático e rápido explicando como fazer isso.

Nas últimas semanas, os pacotes que estavam na experimental começaram a ir pra unstable e eu até tirei a experimental da minha lista de repositórios. Hoje, eu percebi que vários dos meus pacotes não estavam sendo atualizados, porque eu não removi os pacotes do “/etc/apt/preferences“, que é o arquivo que guarda as configurações de políticas do APT e fazem os pacotes da experimental ficarem com a “mesma” prioridade da unstable. Removido o arquivo, tudo voltou ao normal. Portanto, lembrem que esse arquivo existe, hehe.

Share on FacebookShare on Google+Tweet about this on TwitterShare on LinkedInEmail this to someone

Previous

é obra derivada?

Next

patch pro zoneminder

1 Comment

Deixe um Comentário

 

Powered by WordPress & Theme by Anders Norén